Bug 509621 - nm-system-settings parses *rpmnew files
nm-system-settings parses *rpmnew files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 03:12 EDT by Mohammed Arafa
Modified: 2010-06-28 09:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2009-07-04 03:12:53 EDT
Description of problem:
on system startup network manager parses *rpmnew files in /etc/sysconfig/network-scripts/ . this leads me to postulate that it will parse any file in the same directory (NOT TESTED)

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Jul  4 08:19:09 localpc nm-system-settings: Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-ltspbr0.rpmnew ...
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh:     error: Unknown connection type 'Bridge'
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ...
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh:     read connection 'System eth0'
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh: Ignoring connection 'System eth0' and its device because NM_CONTROLLED was false.
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-ltspbr0 ...
Jul  4 08:19:09 localpc nm-system-settings:    ifcfg-rh:     error: Unknown connection type 'Bridge'
Comment 1 Dan Williams 2009-11-11 20:24:49 EST
Fixed upstream in:

420ea0220c29a45337e239e4c53250a6989160a3 (master)
0198d0129496078f72916c94f9d81d2f8459ec24 (0.7.x)
Comment 2 Fedora Update System 2009-11-13 16:32:25 EST
NetworkManager-0.7.996-7.git20091113.fc12,ModemManager-0.2-4.20091105.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.996-7.git20091113.fc12,ModemManager-0.2-4.20091105.fc12
Comment 3 Fedora Update System 2009-12-07 02:26:46 EST
NetworkManager-0.7.996-7.git20091113.fc12, ModemManager-0.2-4.20091105.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-12-07 02:35:57 EST
mobile-broadband-provider-info-1.20090918-1.fc11, NetworkManager-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Bug Zapper 2010-04-27 11:28:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 09:28:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.